Subject: Re: env command does not work correctly.
From: [email-masked] (Scott Mintz)

4 Apr 1997 22:37:11 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: "John D. Robertson" <[email-masked]>, [email-masked]
Original-Cc: [email-masked]
Content-Description: cc:Mail note part
Original-Sender: [email-masked]

     env is a command typically used in csh-like shells. With bash, you can 
     just say:
     
     ONE=one TWO=two echo_1_2
     
     This also does not work with cygwin32 17.1.
     
     The simple statement: foo=hello echo $foo
     doesn't work.
     
     Also I am not real familiar with unix so I don't know if this is a bug 
     or not:  Only uppercase environment variables can be exported.
     
     +------------------------------+------------------------------------+
     | Scott A. Mintz               | voice: (216) 646-4805              |
     | Allen-Bradley Company        | fax:   (216) 646-4961              |
     | 1 Allen-Bradley Drive        | email: [email-masked]   |
     | Mayfield Hts., OH 44124-6118 | CIS:   71461,632                   |
     +------------------------------+------------------------------------+

______________________________ Reply Separator _________________________________
Subject: env command does not work correctly.
Author:  [email-masked] at Internet
Date:    4/3/97 2:02 PM

>>>>> "JDR" == John D Robertson <[email-masked]> writes:
     
 JDR> Platform: Win95 / Intel Release: B17.1
     
 JDR> The "env" command does not set environmental variables as it is 
 JDR> supposed to.  For example:
     
 JDR>    env ONE=one TWO=two echo_1_2
     
 JDR> where echo_1_2 is a sh script:
     
env is a command typically used in csh-like shells. With bash, you 
can just say:
     
  ONE=one TWO=two echo_1_2
     
Under Linux, env works fine with both tcsh and bash.  I haven't tried 
env with cygwin---I wasn't even aware of its inclusion---and right now 
I have no access to my Win95 laptop. But it looks like a bug.
     
Fabio
     
-- 
Fabio Somenzi          | Phone: 303-492-3466 
University of Colorado | Fax:   303-492-2758
ECE Dept.              | Email: [email-masked]
Boulder CO 80309-0425  | WWW:   http://vlsi.colorado.edu/~fabio 
-
For help on using this list, send a message to 
"[email-masked]" with one line of text: "help".
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".